Bug 1224941 - rfe: disable update notification popup
Summary: rfe: disable update notification popup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex-dnf
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-26 09:23 UTC by Raphael Groner
Modified: 2016-05-16 16:22 UTC (History)
1 user (show)

Fixed In Version: yumex-dnf-4.3.3-1.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-16 16:22:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2015-05-26 09:23:58 UTC
Description of problem:
Yumex-dnf notifies about new updates each time. It should notify only once about already found and notified updates till there are any new changes, and there should be an option to disable this popup completely for future checks.

Version-Release number of selected component (if applicable):
yumex-dnf-4.1.2-1.fc21.noarch

How reproducible:
yes

Steps to Reproduce:
1. start yumex-dnf
2. ensure: 
 "Show status icon on user login" is ON
 "Zeitgesteuerte Aktualisierungsüberprüfung" (german translation) is ON
 "Show notification when updates are found" is OFF
 "Show status icon when no updates are found" is ON
3. wait for new updates

Actual results:
popup notifies about available updates again and again after some passed time

Expected results:
either an option "do not notify again" (till new updates are additionally) or do not show any popup at all

Additional info:
Not sure if that feature is functionally working correctly in the sense of the designer. Please explain.

Comment 1 Tim Lauridsen 2015-05-27 05:07:05 UTC
You only want a notification the first time new updates is found for the current session ?

would an ignore button be ok, (it would disable the update check for a periode of time, 8 hours, 24 hours ?)

Comment 2 Tim Lauridsen 2015-05-27 05:19:44 UTC
Added upstream issue to track development of this feature
https://github.com/timlau/yumex-dnf/issues/40

Comment 3 Raphael Groner 2015-05-31 09:15:12 UTC
(In reply to Tim Lauridsen from comment #1)
> You only want a notification the first time new updates is found for the
> current session ?
> 
> would an ignore button be ok, (it would disable the update check for a
> periode of time, 8 hours, 24 hours ?)

Yes, please implement some of that. There's already a delay setting for update checks.

Comment 4 Fedora Update System 2016-05-11 09:02:15 UTC
dnfdaemon-0.3.15-1.fc24 yumex-dnf-4.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa868f02e4

Comment 5 Fedora Update System 2016-05-12 09:41:23 UTC
dnfdaemon-0.3.15-1.fc24, yumex-dnf-4.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa868f02e4

Comment 6 Fedora Update System 2016-05-16 16:22:16 UTC
dnfdaemon-0.3.15-1.fc24, yumex-dnf-4.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.